'use strict';

var request = require("request");

get('/api/persons/2948', function(data) {
    var code = data.code;
    var name = data.name;

    get('/api/health-insurance/' + code, function(data) {
        var isInsured = data.isInsured;

        get('/api/tax-debt/' + code, function(data) {

            var debt = data.debt;

            var person = {
                name : name,
                isInsured: isInsured,
                taxDebt: debt
            };

            console.log(person);
        });
    });

});


// helper function
function get(url, cb) {
    request('http://localhost:3000' + url, function(error, response, body) {
        cb(JSON.parse(body));
    });
}
